# Uses of Class
com.fasterxml.jackson.core.io.SerializedString

Packages that use SerializedString
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of SerializedString in com.fasterxml.jackson.core

Fields in com.fasterxml.jackson.core declared as SerializedString
Modifier and Type
Field
Description
`static final SerializedString`
PrettyPrinter.`DEFAULT_ROOT_VALUE_SEPARATOR`
Default String used for separating root values is single space.

## Uses of SerializedString in com.fasterxml.jackson.core.util

Fields in com.fasterxml.jackson.core.util declared as SerializedString
Modifier and Type
Field
Description
`static final SerializedString`
DefaultPrettyPrinter.`DEFAULT_ROOT_VALUE_SEPARATOR`
Deprecated.
in 2.16.